Skip to content

Get All Functions

GET
/api/v1/faas/functions/
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/faas/functions/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>'

Returns a list of functions.

page
integer

Page No.

page_size
integer

Page size

project_id
required
integer
location
required
string
Allowed values: Delhi Chennai

Deployment region for the resource. Accepted values: Delhi, Chennai.

Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.

Successfully retrieved the functions list.

Media typeapplication/json
object
code
integer
data
Array<object>

Function details (empty in this response example)

object
errors
object
message
string
total_page_number
integer
total_count
integer

Example

{
"code": 200,
"data": [],
"errors": {},
"message": "Success",
"total_page_number": 1,
"total_count": 0
}